<?php

use Phppot\MailService;

session_start();
if ($_SERVER["REQUEST_METHOD"] == "POST" && !empty($_POST)) {
	require_once __DIR__ . '/lib/AntiCSRFService.php';
	$antiCSRFService = new \Phppot\SecurityService\AntiCSRFService();
	$csrfResponse = $antiCSRFService->isValidRequest();
	if (!empty($csrfResponse)) {
		require_once __DIR__ . '/lib/MailService.php';
		$mailService = new MailService();
		$response = $mailService->sendContactMail($_POST);
		if (!empty($response)) {
			$message = "Hi, we have received your message. Thank you.";
			$type = "success";
		} else {
			$message = "Unable to send email.";
			$type = "error";
		}
	} else {
		$message = "Security Alert: Unable to process your request.";
		$type = "error";
	}
	$responseArray = array(
		'message' => $message,
		'type' => $type
	);

	$jsonResponse = json_encode($responseArray);

	echo $jsonResponse;
	exit;
}
?>